Arduino

Reference Language | Libraries | Comparison | Changes

SPI

## transfer()

#### Description

Transfers one byte over the SPI bus, both sending and receiving.

#### Syntax

SPI.transfer(val)

#### Parameters

val: the byte to send out over the bus

#### Returns

the byte read from the bus

#### Example

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes